Bug 620349 - restarting ibus-daemon when disabling IM or quit at systray
restarting ibus-daemon when disabling IM or quit at systray
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: emacs-ibus (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Daiki Ueno
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-02 05:39 EDT by Akira TAGOH
Modified: 2010-09-01 01:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: emacs-ibus-0.2.0-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-30 14:19:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2010-08-02 05:39:04 EDT
Description of problem:
ibus.el restarts ibus-daemon process even when disabling IM at im-chooser nor quit from the systray.

Version-Release number of selected component (if applicable):
emacs-ibus-0.1.1-1.fc13.

How reproducible:
always

Steps to Reproduce:
1.run im-chooser
2a.turn off a check box of "Enable input method feature".
2b.right-click on ibus icon in systray and select Quit.
3.
  
Actual results:
ibus-daemon restarted and "IBus: ibus-mode restarted" shown in the mini-buffer.

Expected results:
shouldn't be restarted.

Additional info:
Comment 1 Akira TAGOH 2010-08-11 09:38:36 EDT
it seems that upstream fixed this issue:
http://bazaar.launchpad.net/~irie/ibus.el/trunk/revision/128/ibus-dev.el
Comment 2 Fedora Update System 2010-08-18 23:59:21 EDT
emacs-ibus-0.2.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/emacs-ibus-0.2.0-1.fc13
Comment 3 Fedora Update System 2010-08-18 23:59:26 EDT
emacs-ibus-0.2.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/emacs-ibus-0.2.0-1.fc12
Comment 4 Fedora Update System 2010-08-18 23:59:31 EDT
emacs-ibus-0.2.0-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/emacs-ibus-0.2.0-1.fc14
Comment 5 Fedora Update System 2010-08-19 21:30:12 EDT
emacs-ibus-0.2.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update emacs-ibus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/emacs-ibus-0.2.0-1.fc12
Comment 6 Fedora Update System 2010-08-30 14:19:42 EDT
emacs-ibus-0.2.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-08-30 14:20:41 EDT
emacs-ibus-0.2.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-09-01 01:52:59 EDT
emacs-ibus-0.2.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.